#coding: iso-8859-1;
############################################################################
#                                                                          #
#    This file 'config.py'
#    is part of 'SPyDI: Simple Python Distributed Indexing'                #
#    Copyright (C) 2004-2005 by Eric Sadit Tllez Avila                    #
#    sadit@lsc.fie.umich.mx or donsadit@gmail.com                          #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

#Root Directory (File Locations), minimum '.'
import os, sys
cwd = os.path.dirname(os.path.abspath(__file__))
root = os.path.dirname(os.path.abspath(__file__)) + "/../.."
#root = os.path.abspath(os.path.curdir)
#root = "/home/sadit/information_retrieval/tacos/ontology"
datadir = cwd + '/datafiles/'
indexdir = datadir + "/index/"

# Any problem, comment or suggest goes send to:
AdminMail='sadit@lsc.fie.umich.mx'
#AdminMail='sadit@localhost'

# Mail showed when register 
RegistryMail='register@lsc.fie.umich.mx'

AuthentityFile = datadir+"sessions.db"
PasswordFile = datadir+"passwd.db"
SpoolMailFile = datadir+"spool.db"
#SMTP Server
#SMTP_Server='jupiter.umich.mx'
SMTP_Server='localhost'
SMTP_Port=25

#SPyRO Configuration
SPyRO_ServerPort = 3001

SPyRO_ServerAddr = '127.0.0.1'

SPyRO_Server = (SPyRO_ServerAddr, SPyRO_ServerPort)
#Servers

# Run HTTP Server
Run_HTTP = True
HTTP_Port = 8000
HTTP_Root = root + '/webview'
HTTP_CGIRoot = "/cgi-bin/" # In Web Location
HTTP_CGIPath = HTTP_Root + HTTP_CGIRoot
HTTP_WeyPath = HTTP_CGIPath + "wey"
HTTP_IPName = True
# CGIs configuration

# HTTP connections (client side)
# Maximum retries with status 404 (not found)
HTTPLib_maxRetries404 = 7
# Maximum retries without connect remote host
HTTPLib_maxRetriesHost = 16
# Maximum redirects
HTTPLib_maxRedirects = 4
HTTPUserAgent = """Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051010 Firefox/1.0.7 (Ubuntu package 1.0.7)"""
# Template Directory (absolute or relative to CGI program CWD)
TemplateDirectory = cwd + "/templates/"
LanguageDirectory = TemplateDirectory + "lang/"
DefaultTemplate = "newstemplate"

# Run SMTP Server 
Run_SMTP = False #Not used, yet
SMTP_Port = None


# Repository data
Repository_Path = datadir

# Index parameters
IDX_replicas = 3

# Pyew settings
pyew_administrator = 'admin'

#Language Settings
pyewdefaults = {
    'language': 'es'
    }
