#!/usr/bin/python
#coding: iso-8859-1;

############################################################################
#                                                                          #
#    This file 'Harvest.py'                                                #
#    is part of 'SPyDI: Simple Python Distributed Indexing'                #
#    Copyright (C) 2004-2005 by Eric Sadit Téllez Avila                    #
#    sadit@lsc.fie.umich.mx or donsadit@gmail.com                          #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################


import SPyRO as spyro
import warn
import shelve
import os, sys
import config
import commands
import time
import sre

if __name__ == '__main__':
    def filenametourl(path):
        return "file://localhost"  + path.rstrip()
    comm = spyro.TClient(config.SPyRO_Server, "/SPyRO?PICKLE2")
    harvest = comm.getobj("Repository")
    index = comm.getobj("realindex")
    #comm = spyro.TClient(("www.spyron.org",3001), "/SPyRO?PICKLE2")
    f = file('list-of-files.txt')
    host = "citeseer"
    index.indexMagicFiles(map(lambda n: filenametourl(n[0:len(n)-1]), f.readlines()[1000:]))
    for name in ():#f.readlines():
         name = name[0:len(name)-1]
	 print name
         #datafile = file(name, 'r')
         #data = datafile.read()
         #datafile.close()
         try:
             #index.vectorizechunkedandappend(filenametourl(name), ({'data': data},))
	     fname = filenametourl(name)
             index.indexMagicFile(name,name)
         except:
             warn.warn(name)
         #harvest.regurllist(map(filenametourl, f.readlines()[:2000]))
    f.close()
    #harvest.harvestAll()
    comm.close()
