#!/usr/bin/python
#coding: utf8;
import sys
import sre
import math

#_wordsep = sre.compile(r"[\s\.,;:]+")
_wordsep = sre.compile(r"\s+")
class Analizer:
    def __init__(self, textlines):
        self.textlines = textlines

    def parse(self):
        # promedios
        g_wlen = 0.0
        g_llen = 0.0
        g_wnum = 0.0
        g_puntp = 0.0
        lines = []
        textlines = self.textlines
        newstext = []
        for line in textlines:
            words = _wordsep.split(line)
            #print words
            ###
            # wnum numero de palabras
            # llen longitud de la linea (caracteres efectivos)
            # wlen longitud media de las palabras en la linea
            # puntpfst cantidad puntuaciones mas importantas
            # puntpsec cantidad puntuaciones secundarias
            wnum = 0.0
            wlen = 0.0
            llen = 0.0
            maxl = 0.0
            for wl in map(len, words):
                if wl == 0: continue
                wlen = (wlen + wl) / 2.0
                llen = float(llen + wl)
                maxl = max(maxl, wl)
                if wl > 2:
                    wnum = wnum + 1
            #print wnum
            puntpfst = line.count(",") + line.count(";")
            puntpsec = line.count(":") + line.count(".")
            # g_wlen = 0, es medio incorrecto
            g_wlen = (g_wlen + wlen) / 2.0
            g_wnum = (g_wnum + wnum) / 2.0
            g_puntp = (g_puntp + puntpfst + puntpsec) / 3.0
            g_llen = (g_llen + llen) / 2.0
            lines.append((maxl, llen, wnum, wlen, puntpfst, puntpsec, words))
        dens = 0.0
        linenum = -1
        for maxl, llen, wnum, wlen, puntpfst, puntpsec, words in lines:
            linenum = linenum + 1
            if wlen == 0: continue
#             localdens = wnum / g_num
#             localdens = localdens * llen / g_llen
#             localdens = localdens / (wlen)
#             localdens = localdens / (1+puntpfst * puntpsec / 2.0) / g_puntp
            localdens = wnum**2
            localdens = localdens * llen / g_llen
            localdens = localdens / ((wlen / g_wlen)) / maxl
            #localdens = localdens / (((wlen + g_wlen)/2.0)**2)
            #localdens = localdens + ((puntpfst*10) + puntpsec)
            if dens > 1:
                dens = (dens * float(linenum / len(lines)) + localdens) / 2.0
            else:
                dens = localdens
            if dens > 1:
                newstext.append( textlines[linenum] )
        return "".join(newstext)

if __name__ == "__main__":
    f = file(sys.argv[1])
    a = Analizer(f.readlines())
    a.parse()
    f.close()
