#coding: latin1;

month = {
    'enero':"01",
    'febrero':"02",
    'marzo':"03",
    'abril':"04",
    'mayo':"05",
    'junio':"06",
    'julio':"07",
    'agosto':"08",
    'septiembre':"09",
    'octubre':"10",
    'noviembre':"11",
    'diciembre':"12",
}

import sre
date_format0 = sre.compile("(\d+) \s+ de \s+ (\w+) \s+ de \s+ (\d+)",sre.I|sre.X)

def parse_spanish(date_string):
    """parse the date string to numeric string date"""
    s = date_format0.search(date_string)
    if not s: return s
    return "/".join((s.group(3),month[s.group(2).lower()],s.group(1)))

