import PIL
import PIL.ExifTags
import PIL.Image as image
import urllib
from cStringIO import StringIO
image.init()

def resize(img, wmax = 1024, hmax = 768):
    xi,yi,w,h = img.getbbox()
    w = w - xi
    h = h - yi
    f = 1.0
    if w > wmax:
        f = float(wmax) / w
        w = wmax
        h = h * f
    if h > hmax:
        f = float(hmax) / h
        h = hmax
        w = w * f
    img.thumbnail((w,h))
    
def getimagestring(input):
    filedata = StringIO()
    img = image.open(input)
    resize(img)
    img.save(filedata,'jpeg')
    normal = filedata.getvalue()
    exiftags = PIL.ExifTags.TAGS
    keywords = []
#     for k,v in img._getexif().items():
#         try:
#             keywords.append( exiftags[k] + ":" + urllib.quote(str(v)) )
#         except KeyError:
#             pass
    
    filedata = StringIO()
    resize(img, 300, 300)
    img.save(filedata,'jpeg')
    thumbnail = filedata.getvalue()
    return normal, thumbnail, "image/jpeg", keywords
