#!/usr/bin/python
import sys
from distutils.core import setup, Extension
idxdir='src'
srcdir = ['.',idxdir]
extobj = ['alfabeto.o', 'alist.o', 'cache1.o', 'debug.o', 'document.o',
          'document_env.o', 'id_doc_t.o', 'id_wrd_t.o', 'idx_man.o', 'misc.o',
          'list_node.o', 'query.o', 'super_malloc.o', 'text_trie.o',
          'trie_node.o', 'skip_list.o', 'vector_model.o', 'boolean_model.o']

extobj=[ idxdir + "/" + i  for i in extobj ]
idx = Extension("SPyDI", ["SPyDI.c"],
                include_dirs=srcdir,
                library_dirs=['.', idxdir, '/usr/lib'],
                extra_objects = extobj,
                extra_compile_args = ['-W','-Wall'],
                libraries=['pthread', 'm', 'z', 'db'] )

setup(name="idx", version="1.0",ext_modules=[idx])
