#include <debug.h>
#include <id_word_t.h>
#include <stdio.h>
#ifdef _DEVELOP_VERSION

#if (defined (__cplusplus) || defined (__FreeBSD__))
int backtrace(void **x, int y)
{
  return 0;
}

char **backtrace_symbols(void **x, int y)
{
  return NULL;
}
#else
extern int backtrace(void **, int);
extern char **backtrace_symbols(void **, int);
#endif



void debug_backtrace()
{
  fprintf(stderr,"please ignore the top of the stack (this function)\n");
  int num;
  void *bt[100];
  char **str;
  int i;
  num = backtrace(bt, 100);
  str=backtrace_symbols(bt,num);
  fprintf(stderr, "****** INICIA BACKTRACE ************\n");
  for (i = 0; i < num; i++) {
    fprintf(stderr,"%s\n",str[i]);
  }
  fprintf(stderr, "====== FINAL BACKTRACE =============\n");
}

void debug_decode_wrd(id_wrd_t *wrd, int *codetable)
{
  /*alfaweb_get_char_by_index((unsigned int)wrd_id->key[i])*/
  int i;
  for (i = 0; i < wrd->len; i++) {
    fprintf(stderr,"%c", codetable[(unsigned int)wrd->key[i]]);
  }
  fprintf(stderr,"\n");
}

void debug_index(const index_t *idx, const char *string)
{
  fprintf(stderr, "%s page=%d elem=%d pos=%d extra=0x%x\n", string, idx->page,
	  idx->elem, idx->pos, idx->flags);
}

#endif /* _DEVELOP_VERSION*/
