#include <id_doc_t.h>
#include <stdio.h>

/* 
   Compara dos id_doc_t a y b. Resgresa:
   a = b: regresa cero
   a > b: regresa positivo
   a < b: regresa negativo
 */
int id_doc_cmp(const id_doc_t *a, const id_doc_t *b)
{
  int64_t r = a->major;
  r -= b->major;
/*   fprintf(stderr, "\n"); */
/*   fprintf(stderr, "aaaa> major: %d, minor: %d\n", a->major, a->minor); */
/*   fprintf(stderr, "bbbb> major: %d, minor: %d\n", b->major, b->minor); */
  if (r != 0) {
    if (r < 0) return -1;
    return r;
  }
  r=a->minor;
  r-=b->minor;
  if (r < 0) return -1;
  return r;
}

int id_doc_cmp_major(const id_doc_t *a, const id_doc_t *b)
{
  int64_t r = a->major;
  r -= b->major;
/*  fprintf(stderr, "\n");
  fprintf(stderr, "AAA> major: %d, minor: %d\n", a->major, a->minor);
  fprintf(stderr, "BBB> major: %d, minor: %d\n", b->major, b->minor);*/
  if (r < 0) return -1;
/*  fprintf(stderr, "CCC> %d\n", r);*/
  return r;
}

void id_doc_print(const id_doc_t *a, const char *str)
{
  fprintf(stderr, "%s major: %d, minor: %d, flags=%d\n", str,
	  a->major, a->minor, a->flags);
}
