#ifndef _H_MEMINDEX_H_
#define _H_MEMINDEX_H_
/* id de documento */
#include <sys/types.h>
#include <stdio.h>
#include <config_main.h>
#include <id_wrd_t.h>
#include <id_doc_t.h>
#include <skip_list.h>
#include <document.h>

struct memiword { /*Indice en memoria*/
  char * wrd; /*palabra codificada*/
  u_int16_t num_docs; /*longitud de palabra*/
  skip_list *occurrences; /*ocurrences*/
};

struct mementry {/* Archivo invertido en memoria*/
  id_doc_t doc; /* Documento */
  u_int16_t freq; /* Frecuencia */
};

struct memread {
  id_doc_t *doc;
  char *wrd;
};
/* struct memtmp { */
/*   char *wrd; */
/*   id_doc_t *doc; */
/*   u_int16_t freq; */
/* }; */

typedef struct memiword memiword;
typedef struct mementry mementry;
typedef struct memread  memread;

skip_list* memindex_read(document *doc, id_wrd_t *wrd, id_doc_t *idoc);

#endif
