#!/usr/bin/python -OO
#coding: iso-8859-1;

############################################################################
#                                                                          #
#    This file 'nscfg.py'
#    is part of 'SPyDI: Simple Python Distributed Indexing'                #
#    Copyright (C) 2004-2005 by Eric Sadit Tllez Avila                    #
#    sadit@lsc.fie.umich.mx or donsadit@gmail.com                          #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################


#
# Name Server and global Configurations (If needed). It can be used as
# initial module (useful to contact nscfg with nscfgAddress)
# Author: Eric Sadit Tllez Avila

# address of the name server
import SPyRO as spyro
import sys, os

nscfgAddress = ('0.0.0.0',2000)
hubport = 2100 #suggested port
idxport = 2200 #suggested port

if __name__ == '__main__':
    try:
        import psyco
        psyco.full()
    except:
        print sys.stderr, "The psyco module is not present"
    
    server = spyro.CommunicationServer(nscfgAddress)
    server['Server'] = server
    server['hubport'] = hubport
    server['idxport'] = idxport
    server['objects'] = {}
    server['peers'] = []

    try:
        server.serve_forever()
    except Exception, err:
        warn.warn("Error in nscfg:", err)
    server.close()

