#!/usr/bin/python
#coding: iso-8859-1;

############################################################################
#                                                                          #
#    This file 'Harvest.py'                                                #
#    is part of 'SPyDI: Simple Python Distributed Indexing'                #
#    Copyright (C) 2004-2005 by Eric Sadit Téllez Avila                    #
#    sadit@lsc.fie.umich.mx or donsadit@gmail.com                          #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################


import SPyRO as spyro
import warn
import shelve
import os, sys
import config

if __name__ == '__main__':
    def filenametourl(path):
        return "file://localhost"  + path.rstrip()
    comm = spyro.TClient(config.SPyRO_Server, "/SPyRO?PICKLE2")
    #comm = spyro.TClient(("www.spyron.org",3001), "/SPyRO?PICKLE2")
    harvest = comm.getobj("Harvest")
    import news_sites
    hostlist = news_sites.news_sites.keys()
    harvest.regurllist(hostlist)
    #f = file('list-of-files.txt')
    #harvest.regurllist(map(filenametourl, f.readlines()))
    #f.close()
    #harvest.harvestAll()
    if False: # for re-index all the site
        pool = comm.getobj("Repository.pool")
        repository = comm.getobj("Repository")
	repository.doharvest = False
        storage = comm.getobj("Repository.storage")
        index_sites = comm.getobj("Repository.index_sites")
        indexer = comm.getobj("index")
        #indexer.regindexerbyaddress(("spyron.org",3001), "/SPyRO#PICKLE2", "index")
        #k = storage.keys()
        print "--------------------->"
        #harvest.harvestAll()
        print "\n**********************X>", pool.empty()
        #print "\n**********************A>", repository.replacePool(100,False)
        print "\n**********************B>", repository.poolSize
        print "\n**********************C>", pool.qsize()
	print "=========1>", comm.callMethodGuess("Repository.lock_repository","locked")
	#print "=========2>", comm.callMethodGuess("Repository.lock_cursor","locked")
	#print "=========3>", comm.callMethodGuess("Repository.index_sites._Storage__lock","locked")
	#print "=========3>", comm.callMethodGuess("Repository","_Repository__reset_cursor")
        import bsddb
        db = bsddb.db
        n = comm.callMethodGuess("realindex.dbEnvIndex","lock_detect", (db.DB_LOCK_RANDOM, db.DB_LOCK_CONFLICT))
	print "LOCK:",n
	print "locked:",comm.callMethodGuess("realindex.lock","locked")
	#print "release:",comm.callMethodGuess("realindex.lock","release")
        while False:
	    print "lock_detect"
            n = comm.callMethodGuess("Repository.dbEnvRepository","lock_detect", (db.DB_LOCK_RANDOM, db.DB_LOCK_CONFLICT))
            print "LOCKS %d >"%(n)
            if n == 0: break

        # cursor = comm.callMethodGuess("Repository.storage","cursor",
#                                    rettype=spyro.SendByReference)
#         print "==================***************************"
#         next = cursor.first(0,0,0)
#         while next:
#             print "xxxx=>", next
#             next = cursor.next(0,0,0)
#         #print "first:",cursor.first()
#         cursor.close()
        print "\n**********************>LEN_SITES:", len(index_sites)
        print "\n**********************>LEN_STORAGE:", len(storage)
        #print "\n**********************>KEYS_STORAGE:", storage.keys()
        #repository.harvest(count=10)
        #indexer.indexFromRepositoryList(storage.keys())
    comm.close()
