#ifndef _H_X_DEBUG__
#define _H_X_DEBUG__

/* Comment this if you want a final user version */
#define _DEVELOP_VERSION
/* Robut (but not complete and data safe) "never die" option*/
#define _DEVELOP_VERSION_XXX

#include <id_word_t.h>
#include <cache1.h>

/******************************************************/

# ifdef _DEVELOP_VERSION


/* Imprime el stack del programa */
void debug_backtrace();

/* debug index */
void debug_index(const index_t *idx, const char *string);
/* Imprime el nombre decodificado de wrd, usando la tabla codetable para los
   codigos*/
void debug_decode_wrd(id_wrd_t *wrd, int *codetable);
# else /*_DEVELOP_VERSION*/
#  define debug_backtrace()
#  define debug_decode_wrd(_wrd, _codetable)
#  define debug_index(_idx,_msg)
# endif /*_DEVELOP_VERSION*/


#endif /*_H_X_DEBUG__*/
