#include <stdlib.h>
#include <super_malloc.h>
#include <stdio.h>

#include <string.h>
#include <list_node.h>

int main_a()
{
  int i, j, mult;
  list_head *head;
  list_head_new(&head, 1, NULL);
  mult = 7;
  for (i = 0; i < 10; i++) {
    list_head_push(head, i*mult, NULL);
    fprintf(stderr,"\n\n>> i*7:%d size:%d last:%d\n",
	    i*7,head->size,head->last->data);
    list_head_iterator_next(head, list_node_print, NULL);
  }
  for (i = 0; i < 10; i++) {
    list_head_shift(head, &j);
    fprintf(stderr,"\n\n<<<<<< i:%d, i*7:%d, j:%d\n",i,i*mult,j);
    list_head_iterator_next(head, list_node_print, NULL);
    if (j != i*mult) {
      fprintf(stderr,"Error000 en shift j:%d i*7:%d\n",j,i*mult);
      exit(-1);
    }
  }
  mult = 13;
  for (i = 0; i < 10; i++) {
    list_head_unshift(head, i*mult, NULL);
    fprintf(stderr,"\n\n:::: i*7:%d size:%d first:%d\n",
	    i*7,head->size,head->first->data);
    list_head_iterator_prev(head, list_node_print, NULL);
  }
  for (i = 0; i < 10; i++) {
    list_head_pop(head, &j);
    if (j != i*mult) {
      fprintf(stderr,"Error111 en shift j:%d i*13:%d\n",j,i*mult);
      exit(-1);
    }
  }
  mult=1;
  for (i = 0; i < 10; i++) {
    list_head_push(head, i*mult, NULL);
    fprintf(stderr,"\n\n@@@@ i*7:%d size:%d first:%d\n",
	    i*7,head->size,head->first->data);
  }
  list_head_remove_node(head, head->first->next);
  list_head_remove_node(head, head->first->next);
  list_head_iterator_next(head, list_node_print, NULL);
  fprintf(stderr,"OK, LLEGO AL FINAL A\n");
  return 0;
}

int main_b()
{
  int i, j, mult;
  list_head *head;
  list_node nodes[10];

  list_head_new(&head, 0, NULL);
  mult = 7;
  for (i = 0; i < 10; i++) {
    list_head_push(head, i*mult, &nodes[i]);
    fprintf(stderr,"\n\n>> i*7:%d size:%d last:%d\n",
	    i*7,head->size,head->last->data);
    list_head_iterator_next(head, list_node_print, NULL);
  }
  for (i = 0; i < 10; i++) {
    list_head_shift(head, &j);
    fprintf(stderr,"\n\n<<<<<< i:%d, i*7:%d, j:%d\n",i,i*mult,j);
    list_head_iterator_next(head, list_node_print, NULL);
    if (j != i*mult) {
      fprintf(stderr,"Error000 en shift j:%d i*7:%d\n",j,i*mult);
      exit(-1);
    }
  }
  mult = 13;
  for (i = 0; i < 10; i++) {
    list_head_unshift(head, i*mult, &nodes[i]);
    fprintf(stderr,"\n\n:::: i*7:%d size:%d first:%d\n",
	    i*7,head->size,head->first->data);
    list_head_iterator_prev(head, list_node_print, NULL);
  }
  for (i = 0; i < 10; i++) {
    list_head_pop(head, &j);
    if (j != i*mult) {
      fprintf(stderr,"Error111 en shift j:%d i*13:%d\n",j,i*mult);
      exit(-1);
    }
  }
  mult=1;
  for (i = 0; i < 10; i++) {
    list_head_push(head, i*mult, &nodes[i]);
    fprintf(stderr,"\n\n@@@@ i*7:%d size:%d first:%d\n",
	    i*7,head->size,head->first->data);
  }
  list_head_remove_node(head, head->first->next);
  list_head_remove_node(head, head->first->next);
  list_head_iterator_next(head, list_node_print, NULL);
  fprintf(stderr,"OK, LLEGO AL FINAL B\n");
  return 0;
}

int main()
{
  main_a();
  main_b();
  return 0;
}
