#!/usr/bin/python
# coding: iso-8859-1;

__doc__ = """
WEY: Webpages Emddebed with pYthon
 This program is the handler of many other programs
 Must exists many symbolic links to this program, each
 link must be the name of the name of the template to use.

 Using Template module as basic embedded style
 we get an fast way of create dynamic

 We can use all variables and functions of pywe
 (Python Enlightened Webpages) in our WEY's pages
"""
import sys, os


#
# WISH: Work under windows (no symbolic links

#sys.path.insert(0,os.path.dirname(os.path.dirname(sys.path[0])))
#sys.path.insert(0,os.path.dirname(sys.path[0]))

from monarca import pyew
import warn


globalvars = globals()

if not globalvars.has_key('config'):
    import config

pyew_options = {'config': config}

for opt in [ 'authorization', 'passwd', 'templates', 'language', 'spyro_server_address']:
    try:
        pyew_options[opt] = globalvars[opt]
    except:
        pass

#print "***************************>", pyew_options
__MAIN_TEMPLATE__ = config.DefaultTemplate

#warn.debug(__TEMPLATE_NAME__,config.datadir,config.root, sys.argv)
def usetemplate(name = None):
    """ Change main template. The main template is the base
    template where we embed the resulting of executing our WEY
    page. Default is None
    If None or False or 0 the calling template are used """
    global __MAIN_TEMPLATE__
    __MAIN_TEMPLATE__ = name


# options to communicate wey the real template's name
globalvars = globals()

if globalvars.has_key('__filename__'):
    __x__ = __filename__
elif len(sys.argv) == 3:
    if sys.argv[1] == '__filename__':
        __x__ = sys.argv[2]
else:
    __x__ = sys.argv[0]


#__TEMPLATE_NAME__ = os.path.basename(__x__)
__TEMPLATE_NAME__ = __x__

#print "TEMPLATE:",__x__

if not globalvars.has_key('__environ__'):
    __environ__ = os.environ
    __input__ = sys.stdin
    __output__ = sys.stdout

pagerequest = pyew.PageRequest(__input__,__output__,__environ__,**pyew_options)
globalvars = pagerequest.__dict__

for k, v in pagerequest.__class__.__dict__.items():
    if callable(v): globalvars[k] = getattr(pagerequest,k)

localvars = globalvars

globalvars['usetemplate'] = usetemplate

__TEMPLATE_BODY__ = pagerequest.template(__TEMPLATE_NAME__,
                                         globalvars, localvars)

page = None

globalvars['__TEMPLATE_BODY__'] = __TEMPLATE_BODY__

if __MAIN_TEMPLATE__:
    page = pagerequest.template(__MAIN_TEMPLATE__, globalvars, localvars)
else:
    page = __TEMPLATE_BODY__

pagerequest.send(page)
